import App from "./App";
import filters from "@/common/filters";
import method from "@/common/tool";
Vue.prototype.$method = method;
import store from "./store";
Vue.prototype.$store = store;
import uView from "@/uni_modules/uview-ui";
Vue.use(uView);
uni.$u.config.unit = "rpx";
uni.$u.setConfig({
  // 修改$u.config对象的属性
  config: {
    // 修改默认单位为rpx，相当于执行 uni.$u.config.unit = 'rpx'
    unit: "rpx",
  },
  // 修改$u.props对象的属性
  props: {
    // 修改radio组件的size参数的默认值，相当于执行 uni.$u.props.radio.size = 30
    radio: {
      size: 15,
    },
    // 其他组件属性配置
    // ......
  },
});
Vue.filter('formate', filters['formDate'])
Vue.filter('toFixed', filters['toFixed'])
import vconsole from "vconsole";
new vconsole();
// #ifndef VUE3
import Vue from "vue";
Vue.config.productionTip = false;
App.mpType = "app";
const app = new Vue({
  ...App,
});
app.$mount();
// #endif

// #ifdef VUE3
import { createSSRApp } from "vue";
export function createApp() {
  const app = createSSRApp(App);
  return {
    app,
  };
}
// #endif
